cascading.flow.planner

## Class Scope

- java.lang.Object
- - cascading.flow.planner.Scope

- All Implemented Interfaces:
    Serializable

      public class Scope
      extends Object
      implements Serializable

  Class Scope is an internal representation of the linkages between operations.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Scope.Kind` Enum Kind

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scope()` Default constructor.
    `Scope(Fields outFields)` Tap constructor
    `Scope(Scope scope)` Copy constructor
    `Scope(String name)` Constructor Scope creates a new Scope instance.
    `Scope(String name, Fields operationDeclaredFields, Fields outGroupingFields, Map<String,Fields> keySelectors, Map<String,Fields> sortingSelectors, Fields outValuesFields, Scope.Kind kind)` Constructor Scope creates a new Scope instance.
    `Scope(String name, Scope.Kind kind, Fields incomingPassThroughFields, Fields remainderPassThroughFields, Fields operationArgumentFields, Fields operationDeclaredFields, Fields outGroupingFields, Fields outValuesFields)` Constructor Scope creates a new Scope instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPriorNames(Scope incoming, Scope outgoing)`
    `void` | `copyFields(Scope scope)` Method copyFields copies the given Scope instance fields to this instance.
    `Fields` | `getArgumentsDeclarator()` Method getArguments returns the arguments of this Scope object.
    `Fields` | `getArgumentsSelector()` Method getArgumentSelector returns the argumentSelector of this Scope object.
    `Fields` | `getIncomingAggregatorArgumentFields()`
    `Fields` | `getIncomingAggregatorPassThroughFields()`
    `Fields` | `getIncomingBufferArgumentFields()`
    `Fields` | `getIncomingBufferPassThroughFields()`
    `Fields` | `getIncomingFunctionArgumentFields()`
    `Fields` | `getIncomingFunctionPassThroughFields()`
    `Fields` | `getIncomingSpliceFields()`
    `Fields` | `getIncomingTapFields()`
    `Map<String,Fields>` | `getKeySelectors()` Method getGroupingSelectors returns the groupingSelectors of this Scope object.
    `String` | `getName()` Method getName returns the name of this Scope object.
    `Fields` | `getOperationDeclaredFields()` Method getDeclaredFields returns the declaredFields of this Scope object.
    `Integer` | `getOrdinal()`
    `Fields` | `getOutGroupingFields()` Method getOutGroupingFields returns the outGroupingFields of this Scope object.
    `Fields` | `getOutGroupingSelector()` Method getOutGroupingSelector returns the outGroupingSelector of this Scope object.
    `Fields` | `getOutGroupingValueFields()`
    `Fields` | `getOutValuesFields()` Method getOutValuesFields returns the outValuesFields of this Scope object.
    `Fields` | `getOutValuesSelector()` Method getOutValuesSelector returns the outValuesSelector of this Scope object.
    `String` | `getPriorName()`
    `Fields` | `getRemainderPassThroughFields()` Method getRemainderFields returns the remainderFields of this Scope object.
    `Map<String,Fields>` | `getSortingSelectors()` Method getSortingSelectors returns the sortingSelectors of this Scope object.
    `boolean` | `isCoGroup()`
    `boolean` | `isEach()` Method isEach returns true if this Scope object represents an Each.
    `boolean` | `isEvery()` Method isEvery returns true if this Scope object represents an Every.
    `boolean` | `isGroup()`
    `boolean` | `isGroupBy()`
    `boolean` | `isHashJoin()`
    `boolean` | `isMerge()`
    `boolean` | `isNonBlocking()`
    `boolean` | `isSplice()`
    `boolean` | `isTap()` Method isTap returns true if this Scope object represents a Tap.
    `String` | `print()`
    `void` | `setName(String name)` Method setName sets the name of this Scope object.
    `void` | `setNonBlocking(boolean isNonBlocking)`
    `void` | `setOrdinal(Integer ordinal)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Scope

          public Scope()

      Default constructor.

    - #### Scope

          public Scope(Scope scope)

      Copy constructor
      Parameters:
        `scope` - of type Scope

    - #### Scope

          public Scope(Fields outFields)

      Tap constructor
      Parameters:
        `outFields` - of type Fields

    - #### Scope

          public Scope(String name,
               Scope.Kind kind,
               Fields incomingPassThroughFields,
               Fields remainderPassThroughFields,
               Fields operationArgumentFields,
               Fields operationDeclaredFields,
               Fields outGroupingFields,
               Fields outValuesFields)

      Constructor Scope creates a new Scope instance. Used by classes Each and Every.
      Parameters:
        `name` - of type String
        `kind` - of type Kind
        `incomingPassThroughFields` - // * @param remainderPassThroughFields of type Fields
        `operationArgumentFields` - of type Fields
        `operationDeclaredFields` - of type Fields
        `outGroupingFields` - of type Fields
        `outValuesFields` - of type Fields

    - #### Scope

          public Scope(String name,
               Fields operationDeclaredFields,
               Fields outGroupingFields,
               Map<String,Fields> keySelectors,
               Map<String,Fields> sortingSelectors,
               Fields outValuesFields,
               Scope.Kind kind)

      Constructor Scope creates a new Scope instance. Used by the Group class.
      Parameters:
        `name` - of type String
        `operationDeclaredFields` - of type Fields
        `outGroupingFields` - of type Fields
        `keySelectors` - of type Map
        `sortingSelectors` - of type Fields
        `outValuesFields` - of type Fields
        `kind` - of type boolean

    - #### Scope

          public Scope(String name)

      Constructor Scope creates a new Scope instance.
      Parameters:
        `name` - of type String

  - ### Method Detail

    - #### addPriorNames

          public void addPriorNames(Scope incoming,
                           Scope outgoing)

    - #### getPriorName

          public String getPriorName()

    - #### getOrdinal

          public Integer getOrdinal()

    - #### setOrdinal

          public void setOrdinal(Integer ordinal)

    - #### setNonBlocking

          public void setNonBlocking(boolean isNonBlocking)

    - #### isNonBlocking

          public boolean isNonBlocking()

    - #### isSplice

          public boolean isSplice()

    - #### isGroup

          public boolean isGroup()

    - #### isGroupBy

          public boolean isGroupBy()

    - #### isCoGroup

          public boolean isCoGroup()

    - #### isMerge

          public boolean isMerge()

    - #### isHashJoin

          public boolean isHashJoin()

    - #### isEach

          public boolean isEach()

      Method isEach returns true if this Scope object represents an Each.
      Returns:
        the each (type boolean) of this Scope object.

    - #### isEvery

          public boolean isEvery()

      Method isEvery returns true if this Scope object represents an Every.
      Returns:
        the every (type boolean) of this Scope object.

    - #### isTap

          public boolean isTap()

      Method isTap returns true if this Scope object represents a Tap.
      Returns:
        the tap (type boolean) of this Scope object.

    - #### getName

          public String getName()

      Method getName returns the name of this Scope object.
      Returns:
        the name (type String) of this Scope object.

    - #### setName

          public void setName(String name)

      Method setName sets the name of this Scope object.
      Parameters:
        `name` - the name of this Scope object.

    - #### getRemainderPassThroughFields

          public Fields getRemainderPassThroughFields()

      Method getRemainderFields returns the remainderFields of this Scope object.
      Returns:
        the remainderFields (type Fields) of this Scope object.

    - #### getArgumentsSelector

          public Fields getArgumentsSelector()

      Method getArgumentSelector returns the argumentSelector of this Scope object.
      Returns:
        the argumentSelector (type Fields) of this Scope object.

    - #### getArgumentsDeclarator

          public Fields getArgumentsDeclarator()

      Method getArguments returns the arguments of this Scope object.
      Returns:
        the arguments (type Fields) of this Scope object.

    - #### getOperationDeclaredFields

          public Fields getOperationDeclaredFields()

      Method getDeclaredFields returns the declaredFields of this Scope object.
      Returns:
        the declaredFields (type Fields) of this Scope object.

    - #### getKeySelectors

          public Map<String,Fields> getKeySelectors()

      Method getGroupingSelectors returns the groupingSelectors of this Scope object.
      Returns:
        the groupingSelectors (type Map) of this Scope object.

    - #### getSortingSelectors

          public Map<String,Fields> getSortingSelectors()

      Method getSortingSelectors returns the sortingSelectors of this Scope object.
      Returns:
        the sortingSelectors (type Map) of this Scope object.

    - #### getOutGroupingSelector

          public Fields getOutGroupingSelector()

      Method getOutGroupingSelector returns the outGroupingSelector of this Scope object.
      Returns:
        the outGroupingSelector (type Fields) of this Scope object.

    - #### getIncomingTapFields

          public Fields getIncomingTapFields()

    - #### getIncomingFunctionArgumentFields

          public Fields getIncomingFunctionArgumentFields()

    - #### getIncomingFunctionPassThroughFields

          public Fields getIncomingFunctionPassThroughFields()

    - #### getIncomingAggregatorArgumentFields

          public Fields getIncomingAggregatorArgumentFields()

    - #### getIncomingAggregatorPassThroughFields

          public Fields getIncomingAggregatorPassThroughFields()

    - #### getIncomingBufferArgumentFields

          public Fields getIncomingBufferArgumentFields()

    - #### getIncomingBufferPassThroughFields

          public Fields getIncomingBufferPassThroughFields()

    - #### getIncomingSpliceFields

          public Fields getIncomingSpliceFields()

    - #### getOutGroupingFields

          public Fields getOutGroupingFields()

      Method getOutGroupingFields returns the outGroupingFields of this Scope object.
      Returns:
        the outGroupingFields (type Fields) of this Scope object.

    - #### getOutGroupingValueFields

          public Fields getOutGroupingValueFields()

    - #### getOutValuesSelector

          public Fields getOutValuesSelector()

      Method getOutValuesSelector returns the outValuesSelector of this Scope object.
      Returns:
        the outValuesSelector (type Fields) of this Scope object.

    - #### getOutValuesFields

          public Fields getOutValuesFields()

      Method getOutValuesFields returns the outValuesFields of this Scope object.
      Returns:
        the outValuesFields (type Fields) of this Scope object.

    - #### copyFields

          public void copyFields(Scope scope)

      Method copyFields copies the given Scope instance fields to this instance.
      Parameters:
        `scope` - of type Scope

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### print

          public String print()

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.